/**
 * @fileoverview Rule to flag use of an inefficient for loop
 * @author Evgueni Naverniouk
 * @copyright 2015 Evgueni Naverniouk. All rights reserved.
 */
"use strict";

module.exports = function(context) {
    return {
		"ForStatement": function (node) {
			if (node.test.right.property && node.test.right.property.name === 'length') {
				context.report({
					node: node,
					message: "Don't use .length inside the for loop test expression."
				});
			}
		}
    };
};

module.exports.schema = [];
